import request from '@/utils/request'

// 查询项目其他费用记录列表
export function listOthercost(query) {
  return request({
    url: '/buyer/othercost/list',
    method: 'get',
    params: query
  })
}

// 查询项目其他费用记录详细
export function getOthercost(id) {
  return request({
    url: '/buyer/othercost/' + id,
    method: 'get'
  })
}

// 新增项目其他费用记录
export function addOthercost(data) {
  return request({
    url: '/buyer/othercost',
    method: 'post',
    data: data
  })
}

// 修改项目其他费用记录
export function updateOthercost(data) {
  return request({
    url: '/buyer/othercost',
    method: 'put',
    data: data
  })
}

// 统计项目其他费用记录列表
export function othercostStatist(params) {
  return request({
    url: '/buyer/othercost/statist',
    method: 'get',
    params
  })
}

// 删除项目其他费用记录
export function delOthercost(id) {
  return request({
    url: '/buyer/othercost/' + id,
    method: 'delete'
  })
}
